Bug 458442 - RFE: hal-info should be updated to incorporate patches from upstream
RFE: hal-info should be updated to incorporate patches from upstream
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-08 09:47 EDT by Scott Glaser
Modified: 2013-03-05 22:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch showing the updated implementation of the um150 evdo modem (701 bytes, patch)
2008-08-08 09:50 EDT, Scott Glaser
no flags Details | Diff

  None (edit)
Description Scott Glaser 2008-08-08 09:47:52 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.1) Gecko/2008071615 Fedora/3.0.1-1.fc9 Firefox/3.0.1

Many patches have been implemented in the upstream version of hal-info in my case the UM150 Pantech modem section of 10-modem.fdi has a patch that allows this to function and be managed by NetworkManager.  Can we get an updated version that incorporates these patches.

Reproducible: Always

Steps to Reproduce:
1. Install Fedora 9
2. Plug in um150 pantech modem
3. The device is not properly recognized by hal, due to outdated hal-info package
Actual Results:  
NetworkManager is not aware of the insertion of the UM150.

Expected Results:  
With the patch applied from feedesktop.org to 10-modem.fdi the modem is recognized and controlled by NetworkManager as expected.
Comment 1 Scott Glaser 2008-08-08 09:50:37 EDT
Created attachment 313808 [details]
Patch showing the updated implementation of the um150 evdo modem

This is but one patch that has been incorporated in the hal-info package from freedesktop.org since the package was utilized in Fedora 9.
Comment 2 Bug Zapper 2009-06-09 22:24:12 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:54:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.